Bug 62188 - the gnome switchdesk config file doesnt start ssh-agent
Summary: the gnome switchdesk config file doesnt start ssh-agent
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: switchdesk   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-28 08:27 UTC by Jef Spaleta
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-26 01:45:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jef Spaleta 2002-03-28 08:27:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020314

Description of problem:
The way the gdm Session scripts are written ssh-agent is not started if the
switchdesk gnome config is in place.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Choose Gnome session in gdm with the switchdesk packaged installed
2.If switchdesk is not present...the next segment of Xsession logic will call
ssh-agent 

	

Expected Results:  I would expect that that the switchdesk gnome client would
attempt to make a call to ssh-agent gnome-session, 

There are several places inside the Xsession script where the actually
gnome-session command can get called.  In some places gnome-session is started
with ssh-agent...and in other parts of the logic gnome-session is called
directly.  It would be nice if all the defualt logic included a call to ssh-agent.  

Additional info:

Comment 1 Mike A. Harris 2002-10-26 05:02:33 UTC
ssh-agent is started by xinitrc et al in Red Hat Linux 8.0, this should
resolve the problem.

Closing bug as CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.